(*
Copyright 2009-2013 Christian Sternagel, René Thiemann

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
*)

section \<open>Overloading for the Sharp Symbol\<close>

theory Sharp_Syntax
imports
  Main
  "~~/src/Tools/Adhoc_Overloading"
begin

consts SHARP :: "'a \<Rightarrow> 'b" ("\<sharp>")

locale sharp_syntax =
  fixes shp :: "'f \<Rightarrow> 'f"
begin

adhoc_overloading SHARP shp

end

end

